Get Company Profile
curl --request POST \
--url https://api.example.com/v1/company/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"styleguide": false,
"timeout": 30000
}
'import requests
url = "https://api.example.com/v1/company/profile"
payload = {
"domain": "<string>",
"styleguide": False,
"timeout": 30000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', styleguide: false, timeout: 30000})
};
fetch('https://api.example.com/v1/company/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/company/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => '<string>',
'styleguide' => false,
'timeout' => 30000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/company/profile"
payload := strings.NewReader("{\n \"domain\": \"<string>\",\n \"styleguide\": false,\n \"timeout\": 30000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/company/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"<string>\",\n \"styleguide\": false,\n \"timeout\": 30000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/company/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"<string>\",\n \"styleguide\": false,\n \"timeout\": 30000\n}"
response = http.request(request)
puts response.read_body{
"data": {
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"postal_code": "<string>",
"state_code": "<string>",
"state_province": "<string>",
"street": "<string>"
},
"backdrops": [
{
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"aspect_ratio": 123,
"height": 123,
"width": 123
},
"url": "<string>"
}
],
"colors": [
{
"hex": "<string>",
"name": "<string>",
"source": "logo"
}
],
"credits_used": 0,
"description": "<string>",
"domain": "<string>",
"email": "<string>",
"legal": {
"entity_name": "<string>",
"legal_form": "<string>",
"registration_id": "<string>",
"vat_id": "<string>"
},
"links": {
"about": "<string>",
"app_stores": {
"apple": "<string>",
"google": "<string>"
},
"blog": "<string>",
"careers": "<string>",
"contact": "<string>",
"docs": "<string>",
"imprint": "<string>",
"login": "<string>",
"pricing": "<string>",
"privacy": "<string>",
"terms": "<string>"
},
"logos": [
{
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"mode": "light",
"resolution": {
"aspect_ratio": 123,
"height": 123,
"width": 123
},
"type": "logo",
"url": "<string>"
}
],
"phone": "<string>",
"pixels": [
"<string>"
],
"primary_language": "<string>",
"refreshed_at": "2023-11-07T05:31:56Z",
"socials": [
{
"type": "<string>",
"url": "<string>"
}
],
"sources": [
{
"fetched_at": "2023-11-07T05:31:56Z",
"scrape_id": 123,
"url": "<string>"
}
],
"styleguide": {
"colors": {
"accent": "<string>",
"background": "<string>",
"text": "<string>"
},
"components": {
"button": {
"link": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"color": "<string>",
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"min_height": "<string>",
"min_width": "<string>",
"padding": "<string>",
"text_decoration": "<string>"
},
"primary": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"color": "<string>",
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"min_height": "<string>",
"min_width": "<string>",
"padding": "<string>",
"text_decoration": "<string>"
},
"secondary": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"color": "<string>",
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"min_height": "<string>",
"min_width": "<string>",
"padding": "<string>",
"text_decoration": "<string>"
}
},
"card": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"padding": "<string>",
"text_color": "<string>"
}
},
"element_spacing": {
"lg": "<string>",
"md": "<string>",
"sm": "<string>",
"xl": "<string>",
"xs": "<string>"
},
"font_links": {},
"mode": "light",
"shadows": {
"inner": "none",
"lg": "none",
"md": "none",
"sm": "none",
"xl": "none"
},
"typography": {
"headings": {
"h1": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
},
"h2": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
},
"h3": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
},
"h4": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
}
},
"p": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
}
}
},
"technologies": [
"<string>"
],
"title": "<string>",
"url": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}public
Get Company Profile
Read a company’s brand, links, contacts, address, legal details and stack, and optionally its styleguide.
Get Company Profile
curl --request POST \
--url https://api.example.com/v1/company/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"styleguide": false,
"timeout": 30000
}
'import requests
url = "https://api.example.com/v1/company/profile"
payload = {
"domain": "<string>",
"styleguide": False,
"timeout": 30000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', styleguide: false, timeout: 30000})
};
fetch('https://api.example.com/v1/company/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/company/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => '<string>',
'styleguide' => false,
'timeout' => 30000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/company/profile"
payload := strings.NewReader("{\n \"domain\": \"<string>\",\n \"styleguide\": false,\n \"timeout\": 30000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/company/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"<string>\",\n \"styleguide\": false,\n \"timeout\": 30000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/company/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"<string>\",\n \"styleguide\": false,\n \"timeout\": 30000\n}"
response = http.request(request)
puts response.read_body{
"data": {
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"postal_code": "<string>",
"state_code": "<string>",
"state_province": "<string>",
"street": "<string>"
},
"backdrops": [
{
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"aspect_ratio": 123,
"height": 123,
"width": 123
},
"url": "<string>"
}
],
"colors": [
{
"hex": "<string>",
"name": "<string>",
"source": "logo"
}
],
"credits_used": 0,
"description": "<string>",
"domain": "<string>",
"email": "<string>",
"legal": {
"entity_name": "<string>",
"legal_form": "<string>",
"registration_id": "<string>",
"vat_id": "<string>"
},
"links": {
"about": "<string>",
"app_stores": {
"apple": "<string>",
"google": "<string>"
},
"blog": "<string>",
"careers": "<string>",
"contact": "<string>",
"docs": "<string>",
"imprint": "<string>",
"login": "<string>",
"pricing": "<string>",
"privacy": "<string>",
"terms": "<string>"
},
"logos": [
{
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"mode": "light",
"resolution": {
"aspect_ratio": 123,
"height": 123,
"width": 123
},
"type": "logo",
"url": "<string>"
}
],
"phone": "<string>",
"pixels": [
"<string>"
],
"primary_language": "<string>",
"refreshed_at": "2023-11-07T05:31:56Z",
"socials": [
{
"type": "<string>",
"url": "<string>"
}
],
"sources": [
{
"fetched_at": "2023-11-07T05:31:56Z",
"scrape_id": 123,
"url": "<string>"
}
],
"styleguide": {
"colors": {
"accent": "<string>",
"background": "<string>",
"text": "<string>"
},
"components": {
"button": {
"link": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"color": "<string>",
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"min_height": "<string>",
"min_width": "<string>",
"padding": "<string>",
"text_decoration": "<string>"
},
"primary": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"color": "<string>",
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"min_height": "<string>",
"min_width": "<string>",
"padding": "<string>",
"text_decoration": "<string>"
},
"secondary": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"color": "<string>",
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"min_height": "<string>",
"min_width": "<string>",
"padding": "<string>",
"text_decoration": "<string>"
}
},
"card": {
"background_color": "<string>",
"border_color": "<string>",
"border_radius": "<string>",
"border_style": "<string>",
"border_width": "<string>",
"box_shadow": "<string>",
"padding": "<string>",
"text_color": "<string>"
}
},
"element_spacing": {
"lg": "<string>",
"md": "<string>",
"sm": "<string>",
"xl": "<string>",
"xs": "<string>"
},
"font_links": {},
"mode": "light",
"shadows": {
"inner": "none",
"lg": "none",
"md": "none",
"sm": "none",
"xl": "none"
},
"typography": {
"headings": {
"h1": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
},
"h2": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
},
"h3": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
},
"h4": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
}
},
"p": {
"font_fallbacks": [
"<string>"
],
"font_family": "<string>",
"font_size": "<string>",
"font_weight": 123,
"letter_spacing": "<string>",
"line_height": "<string>"
}
}
},
"technologies": [
"<string>"
],
"title": "<string>",
"url": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}Authorizations
Body
application/json
A company's domain, or any URL on its site, to refresh the profile of.
Response
Successful Response